Last modified: 2014-08-04 00:32:35 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27938 - Special:Fewestrevisions has a very expensive query that filesorts and uses a temporary table
Special:Fewestrevisions has a very expensive query that filesorts and uses a ...
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Special pages (Other open bugs)
1.18.x
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 26394 39661
  Show dependency treegraph
 
Reported: 2011-03-08 16:49 UTC by Sam Reed (reedy)
Modified: 2014-08-04 00:32 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2011-03-08 16:49:52 UTC
http://translatewiki.net/sandwiki/profileinfo.php?sort=time_per_call&expand=SQL+Queries


Name	Time (%)	Memory (%)	Count	Calls/req	ms/call	kb/call	ms/req	kb/req
Special:Fewestrevisions	0.5%	0%	1	0	54813.9	3212.59	1.18	0.07
Comment 1 Sam Reed (reedy) 2011-03-08 17:01:10 UTC
mysql> describe SELECT  page_namespace AS namespace,page_title AS title,COUNT(*) AS value,page_is_redirect AS redirect  FROM `mw_revision`,`mw_page`  WHERE page_namespace = '0' AND (page_id = rev_page)  GROUP BY page_namespace, page_title, page_is_redirect HAVING COUNT(*) > 1 ORDER BY value LIMIT 50\G
+----+-------------+-------------+------+----------------------------+-------------+---------+------------------------+------+----------------------------------------------+
| id | select_type | table       | type | possible_keys              | key         | key_len | ref                    | rows | Extra                                        |
+----+-------------+-------------+------+----------------------------+-------------+---------+------------------------+------+----------------------------------------------+
|  1 | SIMPLE      | mw_page     | ref  | PRIMARY,name_title         | name_title  | 4       | const                  |    3 | Using where; Using temporary; Using filesort |
|  1 | SIMPLE      | mw_revision | ref  | rev_page_id,page_timestamp | rev_page_id | 4       | wikidb.mw_page.page_id |    1 | Using index                                  |
+----+-------------+-------------+------+----------------------------+-------------+---------+------------------------+------+----------------------------------------------+
2 rows in set (0.00 sec)


It's using temporary and filesorting...
Comment 2 Roan Kattouw 2011-03-09 11:02:56 UTC
That's why it's marked as expensive :)
Comment 3 db [inactive,noenotif] 2012-09-16 07:40:16 UTC
(In reply to comment #2)
> That's why it's marked as expensive :)

Sounds like WORKSFORME than ;-)

Please change summary, if you want that special page as "cheap".
Comment 4 Bawolff (Brian Wolff) 2014-08-04 00:32:35 UTC
(In reply to db from comment #3)
> (In reply to comment #2)
> > That's why it's marked as expensive :)
> 
> Sounds like WORKSFORME than ;-)
> 
> Please change summary, if you want that special page as "cheap".

I'm going to mark this as WONTFIX. The special page is marked as "expensive", and I don't see any obvious way of making the query any cheaper

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links